Public client metadata
curl --request GET \
--url https://prod-auth.tktchurch.com/oauth/clients/{clientId}/publicimport Foundation
let url = URL(string: "https://prod-auth.tktchurch.com/oauth/clients/{clientId}/public")!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.timeoutInterval = 10
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))const options = {method: 'GET'};
fetch('https://prod-auth.tktchurch.com/oauth/clients/{clientId}/public', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://prod-auth.tktchurch.com/oauth/clients/{clientId}/public"
response = requests.get(url)
print(response.text){
"client_id": "dev-console",
"name": "Developers console",
"logo_url": null
}{
"error": "not_found",
"error_description": "Client not found"
}Public client metadata
Safe fields only (name, description, logo) for external consent screens. No auth.
GET
/
oauth
/
clients
/
{clientId}
/
public
Public client metadata
curl --request GET \
--url https://prod-auth.tktchurch.com/oauth/clients/{clientId}/publicimport Foundation
let url = URL(string: "https://prod-auth.tktchurch.com/oauth/clients/{clientId}/public")!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.timeoutInterval = 10
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))const options = {method: 'GET'};
fetch('https://prod-auth.tktchurch.com/oauth/clients/{clientId}/public', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://prod-auth.tktchurch.com/oauth/clients/{clientId}/public"
response = requests.get(url)
print(response.text){
"client_id": "dev-console",
"name": "Developers console",
"logo_url": null
}{
"error": "not_found",
"error_description": "Client not found"
}Path Parameters
Public client_id
Example:
"dev-console"
Response
Success
